
#ifndef XPETE_MUSIC_H
#define XPETE_MUSIC_H

#include "../config.h"


#ifdef HAVE_SYS_SOUNDCARD_H
#define KEY_C(n)  (0+12*(n-1))
#define KEY_CS(n) (1+12*(n-1))
#define KEY_DB(n) (1+12*(n-1))
#define KEY_D(n)  (2+12*(n-1))
#define KEY_DS(n) (3+12*(n-1))
#define KEY_EB(n) (3+12*(n-1))
#define KEY_E(n)  (4+12*(n-1))
#define KEY_F(n)  (5+12*(n-1))
#define KEY_FS(n) (6+12*(n-1))
#define KEY_FB(n) (6+12*(n-1))
#define KEY_G(n)  (7+12*(n-1))
#define KEY_GS(n) (8+12*(n-1))
#define KEY_AN(n) (8+12*(n-1))
#define KEY_A(n)  (9+12*(n-1))
#define KEY_AS(n) (10+12*(n-1))
#define KEY_BB(n) (10+12*(n-1))
#define KEY_B(n)  (11+12*(n-1))

int  music_open();
void music_close();
void music_reset();
void music_time_init(int timebase,int tempo);
void music_start();
void music_load_patch(int chn, int pgm);
void music_pgm_change(int device,int chn, int pgm);
void music_note_on(int device,int chn, int note, int vol);
void music_note_off(int device,int chn, int note, int vol);
void music_wait(int beats);
void music_flush();
int  music_play_macro(char *v1,char *v2,char *v3);
int  music_rest();
void music_sync();
#endif

#endif
