/* $Id: songs.c,v 1.2 2000/12/11 23:30:32 bergo Exp $ */

#include <stdio.h>
#include "../config.h"
#include "music.h"

/* song data */

#ifdef HAVE_SYS_SOUNDCARD_H

static int mtick=0;

void stage_music_reset() {
  mtick=0;
}

void stage_music_advance_riff() {
  music_reset();
  music_play_macro("T65/V64/I29/R2/O5/D4/R4/E4/R2/E8/E8/B8/B8",
		   "T65/V64/I29/R2/O5/F+4/R4/G+4/R2/G+8/G+8/O6/D+8/D+8",0);
}

void stage_music_play(int stage) {
  int r;

  if (music_rest()>2)
    return;

  switch(stage) {


    /* STAGE 1 */

  case 1:
    mtick%=3;
    switch(mtick) {
    case 0:
      music_play_macro("T60/I27/V35/O4/C8/C8/G/G/C/O3/F/O4/D/F/O3/F",
		       "I1/V64/O4/C4/R4/C4/C4",
		       0);
      music_play_macro("T60/V64/I27/B/O4/G/G/O5/E/O3/B/O4/G/G/B",
		       "I14/V40/O5/B8/B4/B8/B4/B8/B4/B8/B8",
		       "I1/V64/O4/B4/R4/B8/B8/B4");

      break;
    case 1:
    case 2:
      music_play_macro("T60/V60/I27/F/O4/F/F/O5/F/O3/F/O4/C/C/C",
		       "I27/V64/O4/A/C/A/C/E/G/E/G",
		       "I21/V20/O4/F1/C1");
      music_play_macro("T60/V60/I27/G/O4/G/G/O5/E/O5/E/E/E/E",
		       "I27/V60/O4/B8/A8/B8/A8/B8/A8/G+8/B8/G+/B8/B8",
		       "I21/V20/O4/G1/E1");
      break;
    } /* switch mtick */
    break;

    /* STAGE 2 */

  case 2:
    mtick%=6;
    switch(mtick) {
    case 0:
      music_play_macro("T75/I27/V35/O4/C8/C8/G/G/C/O3/F/O4/D/F/O3/F",
		       "I1/V64/O4/C4/R4/C4/C4",
		       0);
      music_play_macro("T75/V64/I27/B/O4/G/G/O5/E/O3/B/O4/G/G/B",
		       "I14/V40/O5/B8/B4/B8/B4/B8/B4/B8/B8",
		       "I1/V64/O4/B4/R4/B8/B8/B4");
      break;
    case 1:
      music_play_macro("T75/V60/I27/F/O4/F/F/O5/F/O3/F/O4/C/C/C",
		       "I27/V64/O4/A/C/A/C/E/G/E/G",
		       "I21/V20/O4/F1/C1");
      music_play_macro("T75/V60/I27/G/O4/G/G/O5/E/O5/E/E/E/E",
		       "I27/V60/O4/B8/A8/B8/A8/B8/A8/G+8/B8/G+/B8/B8",
		       "I21/V20/O4/G1/E1");
      break;
    case 2:
      music_play_macro("T75/V60/I27/F/O4/F/F/O5/F/O3/F/O4/C/C/C",
		       "I27/V64/O4/A/C/A/C/E/G/E/G",
		       "I21/V20/O4/F1/C1");
      music_play_macro("T75/V60/I27/G/O4/G/G/O5/E/O5/E/E/E/E",
		       "I27/V60/O4/B8/A8/B8/A8/B8/A8/G+8/B8/G+/B8/B8",
		       "I21/V20/O4/G1/E1");
      break;
    case 3:
      music_play_macro("T75/V60/I27/G/O4/G/G/O5/G/O3/G/O4/D/D/D",
		       "I27/V64/O4/B/D/B/D/F+/A/F+/A",
		       "I21/V20/O4/G1/D1");
      music_play_macro("T75/V60/I27/A/O4/A/A/O5/F+/O5/F+/F+/F+/F+",
		       "I27/V60/O5/C+8/O4/B8/O5/C+8/O4/B8/O5/C+8/O4/B8/A+8/O5/C+8/O4/A+/O5/C+8/C+8",
		       "I21/V20/O4/A1/F+1");
      break;
    case 4:
      music_play_macro("T75/V60/I27/F/O4/F/F/O5/F/O3/F/O4/C/C/C",
		       "I27/V64/O4/A/C/A/C/E/G/E/G",
		       "I21/V20/O4/F1/C1");
      music_play_macro("T75/V60/I27/G/O4/G/G/O5/E/O5/E/E/E/E",
		       "I27/V60/O4/B8/A8/B8/A8/B8/A8/G+8/B8/G+/B8/B8",
		       "I21/V20/O4/G1/E1");
      break;
    case 5:
      music_play_macro("T75/V60/I27/F/O4/F/F/O5/F/O3/F/O4/C/C/C",
		       "I27/V64/O4/A/C/A/C/E/G/E/G",
		       "I21/V20/O4/F1/C1");
      music_play_macro("T75/V60/I27/G/O4/G/G/O5/E/O5/E/E/E/E",
		       "I27/V60/O4/B8/A8/B8/A8/B8/A8/G+8/B8/G+/B8/B8",
		       "I21/V20/O4/G1/E1");

      break;
    } /* switch mtick */
    break;

    /* STAGE 3 */
  case 3:
    mtick%=6;
    switch(mtick) {
    case 0:
      music_play_macro("T90/V60/I27/O5/R2/E8/R8/E8/R8/F+8/R8/F+8/R8/A8/R8/A8/R8",
		       "T90/I29/R2/O3/E2/F+2/A8/A8/A8/A8",
		       0);
      music_play_macro("T90/V60/I27/O4/B8/R8/B8/R8/O5/C+8/R8/C+8/R8/E8/R8/E8/R8",
		       "T90/V60/I29/O3/B8/R8/B8/B8",
		       0);
      music_play_macro("T90/V60/I29/O3/B4/O4/D4/E2/D4/B2",
		       "T90/V60/I27/R2/O6/B4/R8/B4",
		       0);
      music_play_macro("T90/V60/I29/O3/B4/O4/D4/E2/D4/F+2",
		       "T90/V60/I27/R2/O5/B4/R8/B4",
		       0);
      break;
    case 1:
      music_play_macro("T90/V60/I29/O3/B4/O4/D4/E2/D4/B2",
		       "T90/V60/I27/R2/O6/B4/R8/B4",
		       0);
      music_play_macro("T90/V60/I29/O3/B4/O4/D4/E2/D4/F+2",
		       "T90/V60/I27/R2/O5/B4/R8/B4",
		       0);
      
      music_play_macro("T90/V60/I29/O4/F+4/O5/A4/B2/A4/F+2",
		       "T90/V60/I27/R2/O6/F+4/R8/F+4",
		       0);
      music_play_macro("T90/V60/I29/O4/F+4/O5/A4/B2/A4/A2",
		       "T90/V60/I27/R2/O6/F+4/R8/F+4",
		       0);
      break;
    case 2:
      music_play_macro("T90/V60/I29/O3/B4/O4/D4/E2/D4/B2",
		       "T90/V60/I27/R2/O6/B4/R8/B4",
		     0);
      music_play_macro("T90/V60/I29/O3/B4/O4/D4/E2/D4/F+2",
		       "T90/V60/I27/R2/O5/B4/R8/B4",
		       0);
      
      music_play_macro("T90/V60/I29/O4/F+4/O5/A4/B2/A4/F+2",
		       "T90/V60/I27/R2/O6/F+4/R8/F+4",
		       0);
      music_play_macro("T90/V60/I29/O3/F+4/O4/A4/B2/A4/O5/C+2",
		       "T90/V60/I27/R2/O6/C+4/R8/C+4",
		       0);
      break;
    case 3:
      music_play_macro("T90/V60/I29/O5/R2/E8/R8/E8/R8/F+8/R8/F+8/R8/A8/R8/A8/R8",
		       "T90/I3/R2/O3/E2/F+2/A8/A8/A8/A8",
		       0);
      music_play_macro("T90/V60/I29/O4/B8/R8/B8/R8/O5/C+8/R8/C+8/R8/E8/R8/E8/R8",
		       "T90/V60/I3/O3/B8/R8/B8/B8",
		       0);
      music_play_macro("T90/V60/I3/O3/B4/O4/D4/E2/D4/B2",
		       "T90/V60/I3/R2/O6/B4/R8/B4",
		       0);
      music_play_macro("T90/V60/I1/O3/B4/O4/D4/E2/D4/F+2",
		       "T90/V60/I1/R2/O5/B4/R8/B4",
		       0);
      break;
    case 4:
      music_play_macro("T90/V60/I3/O3/B4/O4/D4/E2/D4/B2",
		       "T90/V60/I3/R2/O6/B4/R8/B4",
		       0);
      music_play_macro("T90/V60/I1/O3/B4/O4/D4/E2/D4/F+2",
		       "T90/V60/I1/R2/O5/B4/R8/B4",
		       0);
      
      music_play_macro("T90/V60/I3/O4/F+4/O5/A4/B2/A4/F+2",
		       "T90/V60/I3/R2/O6/F+4/R8/F+4",
		       0);
      music_play_macro("T90/V60/I1/O4/F+4/O5/A4/B2/A4/A2",
		       "T90/V60/I1/R2/O6/F+4/R8/F+4",
		       0);
      
      break;
    case 5:
      music_play_macro("T90/V60/I3/O3/B4/O4/D4/E2/D4/B2",
		       "T90/V60/I3/R2/O6/B4/R8/B4",
		     0);
      music_play_macro("T90/V60/I1/O3/B4/O4/D4/E2/D4/F+2",
		       "T90/V60/I1/R2/O5/B4/R8/B4",
		       0);
      
      music_play_macro("T90/V60/I3/O4/F+4/O5/A4/B2/A4/F+2",
		       "T90/V60/I3/R2/O6/F+4/R8/F+4",
		       0);
      music_play_macro("T90/V60/I1/O3/F+4/O4/A4/B2/A4/O5/C+2",
		       "T90/V60/I1/R2/O6/C+4/R8/C+4",
		       0);
      break;

    }

    break;

  } /* switch stage */

  ++mtick;
}

#endif

/*

    music_play_macro("T90/V60/I27/O5/D+/O4/B/G+/O5/F/C+/O4/A+",
		     "T90/V60/I21/O4/D+8/R8/D+8/R8/D+8/R8/F8/R8/F8/R8/F8/R8",
		     "T90/V60/I21/O3/D+8/R8/D+8/R8/D+8/R8/F8/R8/F8/R8/F8/R8");
    music_play_macro("T90/V60/I27/O5/A/D+/C/B/F/D/C+",
		     "T90/V60/I21/O3/A8/R8/A8/R8/A4/O4/C16/R16/R8/C8",
		     0);
*/
