
#ifndef XPETE_XPETE_H
#define XPETE_XPETE_H

/* $Id: xpete.h,v 1.4 2000/12/11 23:30:33 bergo Exp $ */

void make_game();

void draw_scene();
void draw_prelude(int stage,GdkGC *mygc);

gboolean wdestroy(GtkWidget *w,GdkEvent *ev,gpointer data);
gboolean wdelete(GtkWidget *w,gpointer data);
gboolean exposed(GtkWidget *w,GdkEventExpose *gee,gpointer data);

void init_stage(int stage);
void load_stage_data(int stg);
void motion_step();
gint step(gpointer data);

void foe_shoots(int nf);
void try_shoot();

void shift_flyers(int v);
void shift_fodders(int v);
void shift_steroids(int v);

int out_of_screen(int idx);

int inrect(int x,int y,int a,int b,int c,int d);
int rects_overlap(int *ax,int *ay,int *bx,int *by);

void check_hit();

gboolean keyup(GtkWidget *widget,
	       GdkEventKey *event,
	       gpointer user_data);
gboolean keydown(GtkWidget *widget,
		 GdkEventKey *event,
		 gpointer user_data);

void new_game();
void quit_game();

#endif

